{% extends 'base_admin.html.twig' %}

{% block body %}
<title>Category index</title>

    <h1 class="h1-categories-admin">Gestion des catégories</h1>

    <a href="{{ path('admin_category_new') }}" class="admin-link-new-category">Ajouter</a>

    <div class="container">
        <table id="table" class="table table-striped table-bordered" cellspacing="0">
            <thead>
                <tr>
                    <th>Name</th>
                    <th>Date de création</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
            {% for category in categories %}
                <tr>
                    <td>{{ category.name }}</td>
                    <td>Le {{ category.createdAt|date('d-m-Y') }} à {{ category.createdAt|date('H:i:s')}}</td>
                    <td>
                        <a href="{{ path('admin_category_edit', {'id': category.id}) }}" class="tab-links-categories-admin">Modifier</a>
                        <a href="{{ path('admin_category_show', {'id': category.id}) }}" class="tab-links-categories-admin">Afficher</a>
                    </td>
                </tr>
            {% else %}
                <tr>
                    <td colspan="3">no records found</td>
                </tr>
            {% endfor %}
            </tbody>
            
        </table>
    </div>

    <script>
        $(document).ready(function() {
            $('#table').dynatable();
        } );
    </script>
{% endblock %}
